Summary:	XML 1.0 parser - Ming32 cross version
Summary(pl.UTF-8):	Analizator składni XML-a 1.0 - wersja skrośna dla Ming32
%define		realname		expat
Name:		crossmingw32-%{realname}
Version:	2.2.10
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://downloads.sourceforge.net/expat/%{realname}-%{version}.tar.xz
# Source0-md5:	e0fe49a6b3480827c9455e4cfc799133
URL:		http://www.libexpat.org/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc >= 1:3.2
BuildRequires:	libtool >= 1:2.4
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*
%define		filterout_cxx	-f[-a-z0-9=]*

%description
Expat is an XML parser written in C. It aims to be fully conforming.
It is currently not a validating XML parser.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Expat to napisany w języku C analizator składni XML-a. Dąży do pełnej
zgodności ze specyfikacją. Aktualnie nie jest analizatorem, który
potwiedzał by zgodność ze specyfikacją.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static expat library (cross mingw32 version)
Summary(pl.UTF-8):	Statyczna biblioteka expat (wersja skrośna mingw32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static expat library (cross mingw32 version).

%description static -l pl.UTF-8
Statyczna biblioteka expat (wersja skrośna mingw32).

%package dll
Summary:	DLL expat library for Windows
Summary(pl.UTF-8):	Biblioteka DLL expat dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
DLL expat library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL expat dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--without-docbook \
	--without-xmlwf

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING Changes README.md
%{_libdir}/libexpat.dll.a
%{_libdir}/libexpat.la
%{_includedir}/expat*.h
%{_pkgconfigdir}/expat.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libexpat.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libexpat-1.dll
%changelog
* Sun Oct 04 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-expat.git;a=log;h=master

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> fc304ff
- updated to 2.2.10 (few UB fixes)

* Thu Oct 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 1bd3207
- updated to 2.2.9

* Sun Sep 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 62803e0
- updated to 2.2.8 (fixes CVE-2019-15903)

* Sun Jul 28 2019 Jakub Bogusz <qboosh@pld-linux.org> b68efd3
- updated to 2.2.7 (possible DoS fix)
- removed obsolete ac_fixes patch

* Sat Sep 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 6fa157b
- updated to 2.2.6

* Mon Nov 13 2017 Jakub Bogusz <qboosh@pld-linux.org> ceccda6
- updated to 2.2.5

* Wed Jun 21 2017 Jakub Bogusz <qboosh@pld-linux.org> 039251e
- updated to 2.2.1 (fixes CVE-2016-5300 CVE-2016-9063 CVE-2017-9233 and more security related issues)

* Sun Jul 31 2016 Jakub Bogusz <qboosh@pld-linux.org> d633a63
- updated to 2.2.0 (fixes CVE-2012-6702 CVE-2016-0718 CVE-2016-4472 CVE-2016-5300

* Sun Mar 13 2016 Jakub Bogusz <qboosh@pld-linux.org> e3b5528
- updated to 2.1.1 (fixes CVE-2015-1283)

* Fri May 29 2015 Jakub Bogusz <qboosh@pld-linux.org> ee06e98
- updated to 2.1.0 (note: new soname)
- updated ac_fixes patch
- removed outdated soname patch

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 92f2a7f
- filer out compiler options not supported by mingw
- rel 4

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 96485b7
- x32 rebuild
- release 3 (by relup.sh)

* Sun Apr 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 505c22d
- updated CFLAGS/LDFLAGS hacks
- release 2

* Fri Jan 22 2010 Łukasz Krotowski <lkrotowski@pld-linux.org> 7181f99
- build and install only library

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 3aca424
- force %{_lib}-independent libdir

* Thu Jun 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 6359e4d
- updated to 2.0.1

* Thu Jun 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 127dc43
- updated for 2.0.1

* Tue Mar 06 2007 Jakub Bogusz <qboosh@pld-linux.org> a30c37e
- cleanups, separated -static,-dll

* Sun Feb 25 2007 czarny <czarny@pld-linux.org> e8288e8
- proper shared + static build

* Tue Feb 20 2007 czarny <czarny@pld-linux.org> 960aaac
- cleaned up
- pkg config dir

